Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package backend
  Definition Classes
    nsc
-  package classpath
  Definition Classes
    nsc
-  package doc
  Definition Classes
    nsc
-  package interactive
  Definition Classes
    nsc
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  package io
  Definition Classes
    nsc
-  package javac
  Definition Classes
    nsc
-  package plugins
  Definition Classes
    nsc
-  package profile
  Definition Classes
    nsc
-  package reporters
  Definition Classes
    nsc
-  package settings
  Definition Classes
    nsc
-  package symtab
  Definition Classes
    nsc
-  package transform
  Definition Classes
    nsc
-  package typechecker
  Definition Classes
    nsc
-  package util
  Definition Classes
    nsc
- ClassPathMemoryConsumptionTester
- CloseableRegistry
- CommonRunner
- CompilationUnits
- CompileClient
- CompileServer
- CompileSocket
- CompilerCommand
- ConsoleWriter
- Driver
- EvalLoop
- GenericRunnerCommand
- GenericRunnerSettings
- Global
- GlobalSymbolLoaders
- HasCompileSocket
- Interpreter
- InterpreterLoop
- JarRunner
- Main
- MainBench
- MainClass
- MainGenericRunner
- MainTokenMetric
- NewLinePrintWriter
- ObjectRunner
- OfflineCompilerCommand
- Parsing
- PhaseAssembly
- PickleExtractor
- PipelineMain
- PipelineMainClass
- Properties
- Reporting
- ScalaDoc
- ScalaDocReporter
- ScriptRunner
- Settings
- StandardCompileClient
- StandardCompileServer
- SubComponent

o

scala.tools.nsc

# ScriptRunner 

###
Companion class ScriptRunner

#### object ScriptRunner extends ScriptRunner

Source
  ScriptRunner.scala

Linear Supertypes
ScriptRunner, HasCompileSocket, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ScriptRunner
2. ScriptRunner
3. HasCompileSocket
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def compileOnServer(sock: Socket, args: Seq[String]): Boolean
   Definition Classes
     HasCompileSocket
7.  lazy val compileSocket: CompileSocket.type
   Definition Classes
     ScriptRunner → HasCompileSocket
8.  val defaultScriptMain: String

   Default name to use for the wrapped script

   Default name to use for the wrapped script

   Definition Classes
     ScriptRunner
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  val errorMarkers: Set[String]
    Definition Classes
      HasCompileSocket
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def isErrorMessage(msg: String): Boolean
    Definition Classes
      HasCompileSocket
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def newGlobal(settings: Settings, reporter: Reporter): Global
    Attributes
      protected
    Definition Classes
      ScriptRunner
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  def runCommand(settings: GenericRunnerSettings, command: String, scriptArgs: List[String]): Boolean

    Run a command

    Run a command

    returns

      true if compilation and execution succeeded, false otherwise.

    Definition Classes
      ScriptRunner
22.  def runScript(settings: GenericRunnerSettings, scriptFile: String, scriptArgs: List[String]): Boolean

    Run a script file with the specified arguments and compilation settings.

    Run a script file with the specified arguments and compilation settings.

    returns

      true if compilation and execution succeeded, false otherwise.

    Definition Classes
      ScriptRunner
23.  def runScriptAndCatch(settings: GenericRunnerSettings, scriptFile: String, scriptArgs: List[String]): Either[Throwable, Boolean]

    Calls runScript and catches the enumerated exceptions, routing them to Left(ex) if thrown.

    Calls runScript and catches the enumerated exceptions, routing them to Left(ex) if thrown.

    Definition Classes
      ScriptRunner
24.  def scriptMain(settings: Settings): String

    Pick a main object name from the specified settings

    Pick a main object name from the specified settings

    Definition Classes
      ScriptRunner
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from ScriptRunner

### Inherited from HasCompileSocket

### Inherited from AnyRef

### Inherited from Any

### Ungrouped